(use-modules (sys unix pty))

(define f (posix_openpt O_RDWR))

(define slavename (ptsname f))
(grantpt f)
(unlockpt f)

(display "master: ") (display f) (display "  slave: ") (display slavename) (newline)
(define ip (fdes->inport f))
(define op (fdes->outport f))
;(display "R: ") (display (fdopen f "r")) (newline)
(display "R: ") (display (cons ip op)) (newline)
;(display "FOO\nBAR\nBAZ\n" op) (force-output op) 

(sleep 5)
(display "READING")
  (let helper ((r (char-ready? ip)))
    (if r
      (let ((c (read-char ip)))
        (if (eof-object? c)
          (begin
            (display "EOF!\n")
            #f
          )
          (begin
            (write c)
            (helper (char-ready? ip))
          )
        )
      )
    )
  )
(display "DONE!\n")

(define make-screen (lambda ()
  (make-widgetscript "

  var d;
  d=document.createElement('div');
  widget.div.appendChild(d);
  d.id='bogobogo';

  ")
))

(define ttyloop (lambda (ip divid)
  (define s (snatch-embeddable-responder))
  (call-with-new-thread (lambda ()
    (let helper ((c (read-char ip)))
      (if (eof-object? c)
        (s 'r #f)
        (begin
          (critmsg "char ~a\n" c)
          (s 'i 'dribble (with-xml-tag (make-xml-tag 'redir 'target divid) (make-text (string c))))
          (helper (read-char ip))
        )
      )
    )
  ))
))


