;
; routines for cases where we need parts of Guile's error handling system
;
(define-module (guile errors))
(use-modules (guile))

(re-export error)
(re-export catch)
(re-export lazy-catch)
(re-export backtrace)
(re-export make-stack)
(re-export save-stack)
(re-export the-last-stack)
(re-export last-stack-frame)
(re-export stack-saved?)
(re-export scm-error)
(re-export stack?)

(re-export frame?)
(re-export frame-arguments)
(re-export frame-evaluating-args?)
(re-export frame-next)
(re-export frame-number)
(re-export frame-overflow?)
(re-export frame-previous)
(re-export frame-procedure)
(re-export frame-procedure?)
(re-export frame-real?)
(re-export frame-source)
