;
; routines for cases where we need parts of Guile's module system
;
(define-module (guile modules))
(use-modules (guile))

(re-export module-name)
(re-export set-module-name!)

(re-export make-module)
(re-export module-use!)

(re-export set-module-kind!)

(re-export define-module)
(re-export process-define-module)

(re-export beautify-user-module!)

(re-export current-module)
(re-export set-current-module)

(re-export use-modules)
(re-export process-use-modules)

(re-export module-uses)
(re-export set-module-uses!)

(re-export module-define!)

(re-export module-add!)

(re-export module?)

(re-export module-ref)

(re-export module-export!)

(re-export set-module-public-interface!)

(re-export resolve-interface)
(re-export resolve-module)

(re-export module-call-observers)
(re-export module-obarray-set!)
(re-export module-modified)
(re-export module-defer-observers)


