;
; routines for cases where we need parts of Guile's module system
;
(define-module (guile networking))
(use-modules (guile))

(re-export AF_INET)
(re-export SOCK_STREAM)
(re-export INADDR_ANY)
(re-export INADDR_LOOPBACK)

(re-export socket)
(re-export bind)
(re-export listen)
(re-export getsockname)
(re-export connect)

(re-export getproto)

(re-export setsockopt)
(re-export SOL_SOCKET)
(re-export SO_REUSEADDR)

(re-export inet-aton)
(re-export gethostname)
(re-export gethostbyname)
(re-export gethostbyaddr)

(re-export hostent:name)
(re-export hostent:aliases)
(re-export hostent:addr-list)


