(library (rnrs arithmetic bitwise)
  (export
    bitwise-not
    bitwise-and
    bitwise-ior
    bitwise-xor
    bitwise-if
    bitwise-bit-count
    bitwise-length
    bitwise-first-bit-set
    bitwise-bit-set?
    bitwise-copy-bit
    bitwise-bit-field
    bitwise-copy-bit-field
    bitwise-arithmetic-shift
    bitwise-rotate-bit-field
    bitwise-reverse-bit-field
  )
  (import
    (rnrs)
    (only (guile) lognot logand logior logxor error)
  )

  (define bitwise-not lognot)
  (define bitwise-and logand)
  (define bitwise-ior logior)
  (define bitwise-xor logxor)

  (define bitwise-if (lambda (ei1 ei2 ei3)
    (error "unimplemented")
  ))

  (define bitwise-bit-count (lambda (ei)
    (error "unimplemented")
  ))

  (define bitwise-length (lambda (ei)
    (error "unimplemented")
  ))

  (define bitwise-first-bit-set (lambda (ei)
    (error "unimplemented")
  ))

  (define bitwise-bit-set? (lambda (ei1 ei2)
    (error "unimplemented")
  ))

  (define bitwise-copy-bit (lambda (ei1 ei2 ei3)
    (error "unimplemented")
  ))

  (define bitwise-bit-field (lambda (ei1 ei2 ei3)
    (error "unimplemented")
  ))

  (define bitwise-copy-bit-field (lambda (ei1 ei2 ei3)
    (error "unimplemented") 
  ))

  ; verbatim from R6
  (define bitwise-arithmetic-shift (lambda (ei1 ei2)
    (floor (* ei1 (expt 2 ei2)))
  ))

  ; verbatim from R6
  (define bitwise-arithmetic-shift-left bitwise-arithmetic-shift)
  
  ; verbatim from R6
  (define bitwise-arithmetic-shift-right (lambda (ei1 ei2)
    (bitwise-arithmetic-shift ei1 (- ei2))
  ))

  (define bitwise-rotate-bit-field (lambda (ei1 ei2 ei3 ei4)
    (error "unimplemented")
  ))

  (define bitwise-reverse-bit-field (lambda (ei1 ei2 ei3)
    (error "unimplemented")
  ))
)
