(cond-expand
  (guile
    (library (proverb interactive)
      (export)
      (import
        (rnrs)
        (rnrs lists)
        (rnrs control)
        (rnrs arithmetic bitwise)
        (rnrs ports)
        (rnrs io simple)
        (proverb types)
        (proverb main)
        (proverb dialect)
        (proverb help)
        (proverb tire)
        (proverb channels)
        (proverb xml)
        (proverb wiki)
        (proverb persist)
        (proverb unread)
        (proverb remote)
        (proverb itree)
        (proverb doc)
        (proverb html)
        (proverb debug)
        (proverb xhtml)
        (proverb javascript)
        (proverb filesystem)
        (proverb lexical)
        (proverb branch)
        (proverb bench)
        (proverb queue)
        (proverb concurrent)
        (proverb interactive-completion)
        (proverb ioforward)
        (proverb guilefoo)
        (proverb test)
        (proverb testcases)
        (proverb vt100)
        (proverb uri)
        (proverb http)
        (proverb http-cache)
        (proverb http-upload)
        (proverb http-rpc)
        (proverb mime)
        (proverb md5)
        (proverb dataconv)
        (proverb passval)
        (proverb games)
        (proverb diag)
        (proverb patterns)
        ; extra packages
        (proverb hexdump)
        (guile)
      )

      ; This library defines the default interaction
      ; environment. Use it as a target for evaluation.
    )
  )
  (else
    (library (proverb interactive)
      (export)
      (import
        (rnrs)
      )
    )
  )
)
