
(display "SISC!\n")

(define make-modscalar (lambda (l)
  (let helper ((c (cdr l)) (s (symbol->string (car l))))
    (if (null? c)
      (string->symbol s)
      (helper (cdr c) (string-append s "-" (symbol->string (car c))))
    )
  )
))

(define-syntax library* (syntax-rules ()
  ((library name (export ex-bindings ...) (import (im-binding) ...) rest ...)
    (begin
      (display "BAR EXPANDED LIBRARY!\n")
      (module name
        (ex-bindings ...)
        (import im-binding) ...
        rest ...
      )
    )
  )
))

(define-macro library (lambda args
  (display "FOO LIBRARY: ") (display (make-modscalar (car args))) (newline)
  ;(cons 'library* (cons (make-modscalar (car args)) (cdr args)))
  ;(cons 'library* (cons (make-modscalar (car args)) (cdr args)))
  (cons 'library*                   ; library*
  (cons (make-modscalar (car args)) ; name
  (cons (cadr args)                 ; exports
  (cons (cons (car (caddr args)) (map (lambda (v) (if (eq? (car v) 'only) (list (make-modscalar (cadr v))) (list (make-modscalar v)))) (cdr (caddr args))))  ; imports
    (cdddr args)))))                ; body
))

(library (foofunc)
  (export foofoofunc)
  (import)
  (define foofoofunc (lambda () 123))
)

(module rnrs
  (+ -)
  (define + +)
  (define - -)
)

(module rnrs-files
  (*)
  (define * *)
)

(module rnrs-lists
  (list-ref)
  (define list-ref list-ref)
)

(module guile
  ()
  123
)

(module guile-errors
  ()
  123
)

(module guile-modules
  ()
  123
)

(module ice-9-syncase
  ()
  123
)

(module ice-9-rdelim
  ()
  123
)

(module ice-9-documentation
  ()
  123
)

(module ice-9-pretty-print
  ()
  123
)

(module ice-9-format
  ()
  123
)

(module ice-9-rw
  ()
  123
)

(module proverb-dialect
  ()
  123
)

(module proverb-threads
  ()
  123
)

(module proverb-unread
  ()
  123
)

(module proverb-debug
  ()
  123
)

(module proverb-cond-expand
  ()
  123
)

(module proverb-guilefoo
  ()
  123
)
