var foowidgets=[];
var init_widgets = function(shell) {
  if(window.localStorage && window.JSON) {
    var w=window.localStorage.getItem('jsshell_widgets');
    if(w) {
      var json_widgets=JSON.parse(w);
      if(json_widgets) {
        foowidgets=json_widgets;
        var i;
        for(i in foowidgets) { 
          shell.output_append_target.appendChild(libreplete.generate_representation(load_widget(shell,foowidgets[i][0],foowidgets[i][1])));
        }
      }
    }
  }
};

var import_widget = function(shell,src,entry) {
  var i;
  for(i in foowidgets) {
    if(foowidgets[i][0] == src && foowidgets[i][1] == entry) {
      return false;
    }
  }
  var s=document.createElement('script');
  s.setAttribute('src',src);  
  s.addEventListener('load',function(e) {
    var w=eval(entry);
    if(w && typeof(w)=="function") {
      if(window.localStorage && window.JSON) {
        foowidgets.unshift([src,entry]); 
        localStorage.setItem('jsshell_widgets',JSON.stringify(foowidgets));
        shell.output_append_target.appendChild(libreplete.generate_representation(w(shell),document));
      }
    }
  },false);
  return libreplete.paint(s);
};

var load_widget = function(shell,src,entry) {
  var s=document.createElement('script');
  var d=document.createElement('div');
  s.setAttribute('src',src);  
  s.addEventListener('load',function(e) {
    var w=eval(entry);
    if(w && typeof(w)=="function") {
      d.appendChild(libreplete.generate_representation(w(shell),document));
    } else {
      d.appendChild(document.createTextNode('invalid widget entry point'));
    }
  },false);
  s.addEventListener('error',function(e) {
    d.appendChild(document.createTextNode('error loading widget'));
  },false);
  d.appendChild(s);
  return libreplete.paint(d);
};

var widget = function(shell,name) {
  return load_widget(shell,'/jsshell/widgets/' + name + '.js',name + '_widget');
};

var widgets = function(shell) {
  var d=document.createElement('div');
  var success=function(l) {
    d.appendChild(gin_up_wiki_div('== Available Widgets ==\n' + l.map(function(x) {
      return "* " + x + " [[[!widget(shell,\""+x+"\");|(load)]]]";
    }).join("\n"),'Jsshell',shell));
  }
  dav_fetch_index("./widgets",function(r) {
    success(r.filter(function(y) {
        // match only files ending in '.js'
        if(y.match(/[.]js$/)) return true; else return false;
      }).map(function(y) {
        // and strip the suffix
        return y.replace(/[.]js$/,'');
      }));
  },function(x) { false; });
  return libreplete.paint(d);
};
