
var domwiki = new Object

domwiki.get_article=function(shell,wikins,article) {
  var o=document.createElement('div');
  var d=document.createElement('div');
  var i=(Math.floor(Math.random()*100000000))+''; // It just kills me that I'm inventing these tags
  d.id=i;
  var wiki=jspref_wikis[wikins];
  var buttons="";
  if(wiki && wiki.put_article) {
    buttons+="[[[!domwiki.edit_article(shell,'"+wikins+"','"+ article + "','" + i + "')|edit]]] ";
  }
  buttons+="[[[!domwiki.raw_article(shell,'"+ wikins + "','" + article + "','" + i + "')|raw]]] ";
  buttons+="[[[!domwiki.refresh_article(shell,'"+ wikins + "','" + article + "','" + i + "')|refresh]]] ";
  buttons+="[[[!domwiki.fullscreen_article(shell,'"+ wikins + "','" + article + "')|fullscreen]]] ";
  o.appendChild(gin_up_wiki_div(buttons,wikins,shell));
  o.appendChild(document.createElement('br'));
  o.appendChild(d);
  d.className='help_article';
  if(wiki) {
    if(wiki.get_article) {
      wiki.get_article(article,shell,function(e) {
        if(!e) {
          d.appendChild(document.createTextNode("Strange. Your article didn't turn up."));
        } else {
          d.appendChild(gin_up_wiki_div(e,wikins,shell));
        }
      });
    } 
  }
  d.style['-webkit-transition']='all 1s ease-in-out';
  d.style['-moz-transition']='all 1s ease-in-out';
  return libreplete.paint(o);
};

domwiki.get_default_article=function(shell,wikins) {
  var wiki=jspref_wikis[wikins];
  if(wiki && wiki.home) {
    return domwiki.get_article(shell,wikins,wiki.home);
  } else {
    var d=document.createElement('div');

    if(!wiki) {
      d.appendChild(document.createTextNode("I can't find the wiki " + wikins));
    } else {
      d.appendChild(document.createTextNode("I can't find a default article in the wiki " + wikins));
    }

    return libreplete.paint(d);
  } 
};

domwiki.refresh_article=function(shell,wikins,article,id) {
  var d=document.getElementById(id);
  var wiki=jspref_wikis[wikins];
  if(d) {
    var x;
    while(d.childNodes.length > 0) {
      d.removeChild(d.childNodes[d.childNodes.length - 1]);
    }
    d.className='help_article';
    if(wiki) {
      if(wiki.get_article) {
        wiki.get_article(article,shell,function(e) {
          d.appendChild(gin_up_wiki_div(e,wikins,shell));
        });
      } 
    }
  }
};

domwiki.raw_article=function(shell,wikins,article,id) {
  var d=document.getElementById(id);
  var wiki=jspref_wikis[wikins];
  if(d) {
    var x;
    while(d.childNodes.length > 0) {
      d.removeChild(d.childNodes[d.childNodes.length - 1]);
    }
    if(wiki) {
      if(wiki.get_article) {
        wiki.get_article(article,shell,function(e) {
          var n=document.createElement('div');
          d.className='help_article';
          n.className='wiki_pre';
          var s_array=e.split("\n");
          var i;
          for(i=0;i<s_array.length;i++) {
            n.appendChild(document.createTextNode(s_array[i]));
            n.appendChild(document.createElement('br'));
          }
          d.appendChild(n);
        });
      } 
    }
  }
};

domwiki.edit_article=function (shell,wikins,article,id) {
  var d=false;
  var rv=false;
  if(id)
    d=document.getElementById(id);
  if(!d) { 
    d=document.createElement('div');
    rv=d;
  } else {
    var x;
    while(d.childNodes.length > 0) {
      d.removeChild(d.childNodes[d.childNodes.length - 1]);
    }
  }
  var wiki=jspref_wikis[wikins];
  if(wiki) {
    d.appendChild(document.createElement('br'));
    if(wiki.get_article && wiki.put_article) {
      wiki.get_article(article,shell,function(e) {
        d.appendChild(make_wiki_edit_div(shell,article,e,function(n,c) {
          wiki.put_article(article,n,shell,false);
          c();
        },function() {
          domwiki.refresh_article(shell,wikins,article,id);
        }));
      });
    } 
  }

  if(rv)
    return libreplete.paint(rv);
};

function xml_escape(str) {
  if(typeof(str) == "string") {
    return str.replace(/&/g,"&amp;")
              .replace(/</g,"&lt;")
              .replace(/>/g,"&gt;")
              .replace(/"/g,"&quot;")
              .replace(/'/g,"&apos;");
  } else {
    return str;
  }
}

function gin_up_wiki_div(wikistr,wikins,shell) {
  var t;
  var d=document.createElement('div');
  var tp=new DOMParser();
  var doc=tp.parseFromString(' <xhtml><wiki' + (wikins?(" base='" + wikins + "'"):"") + '>' + xml_escape(wikistr) + '</wiki></xhtml>','text/xml');
  var x = doc.getElementsByTagName('xhtml');
  if(x) {
    dump_node(x[0],document,false,shell,function(e) { d.appendChild(e); });
  }
  return d;
};

function gin_up_wiki(wikistr,wikins,shell) {
  var d=gin_up_wiki_div(wikistr,wikins,shell);
  return libreplete.paint(d);
}

function prefetch_wiki_article(article,success,failure) {
  var concluded=false;
  if(jsshell_wiki_articles[article]) {
    if(success) {
      if(!concluded) {
        concluded=true;
        success(jsshell_wiki_articles[article]);
      }
    }
  } else {
    if(window.XMLHttpRequest) {
      var req=new XMLHttpRequest();
      if(!req.DONE) {
        req.DONE=4;
      }
      req.open("GET","./wiki/" + article + ".wiki",true);
      req.withCredentials = "true";
      req.onreadystatechange = function(e) {
        if(req.readyState == req.DONE && req.status != 200) {
          if(req.status==0 && req.responseText) {
            if(!concluded) {
              concluded=true;
              if(success) {
                success(req.responseText);
              }
            }
          } else {
            if(!concluded) {
              concluded=true;
              if(failure) failure();
            }
          }
        }
        if((req.readyState == req.DONE) && (req.status == 200) && req.responseText) {
            jsshell_wiki_articles[article]=req.responseText;
            if(!concluded) {
              concluded=true;
              if(success) {
                success(req.responseText);
              }
            }
        } else {
          if((req.readyState == req.DONE) && (req.status == 404)) {
            if(!concluded) {
              concluded=true;
              if(failure) failure();
            }
          }
        }
      }
      req.send('');
    }
    false;
  }
};

function fetch_wiki_index(success,failure) {
  dav_fetch_index("./wiki",function(r) {
    success(r.filter(function(y) {
        // match only files ending in '.wiki'
        if(y.match(/[.]wiki$/)) return true; else return false;
      }).map(function(y) {
        // and strip the suffix
        return y.replace(/[.]wiki$/,'');
      }));
  },failure);
};

domwiki.fullscreen_article = function(shell,wikins,article) {
  var pval;
  var wiki;
  wiki=jspref_wikis[wikins];
  if(wiki && wiki.get_article) {
    with_fullscreen_div(function(d) {
      wiki.get_article(article,shell,function(e) {
        d.appendChild(gin_up_wiki_div(e,wikins,shell));
      },function() {
        d.appendChild(document.createTextNode('NO ARTICLE FOR YOU'));
      });
    });
  }
}

function make_wiki_edit_div(shell,article,body,sfunc,rfunc) {
  var widget=document.createElement('div');
  widget.div=widget;
  widget.shell=shell;

  var ipdiv;
  ipdiv=document.createElement('div');
  var ipsubdiv=document.createElement('div');
  widget.div.appendChild(ipdiv);

  var i;
  i=document.createElement('textarea');
  i.cols=60;
  i.rows=10;
  if(body) {
    i.value=body;
  } else {
    i.value='==' + article + '==';
  }
  ipsubdiv.appendChild(i);
  ipdiv.appendChild(ipsubdiv);

  widget.div.appendChild(document.createElement('br'));

  var s,p,c;

  var finalize = function() {
    widget.div.removeChild(ipdiv);
    widget.div.removeChild(p);
    widget.div.removeChild(s);
    widget.div.removeChild(c);
    if(rfunc) {
      rfunc();
    }
  };

  var mkbutton = function(name,action) {
    var b=document.createElement('input');
    b.type='button';
    b.value=name;
    widget.div.appendChild(b);
    b.addEventListener('click',function(e) {
      action();
    },false);
    return b;
  }
 
  s=mkbutton('submit',function() { 
    sfunc(i.value,function() {
      finalize();
    });
  });

  p=document.createElement('input');
  p.type='button';
  p.value='preview';
  widget.div.appendChild(p);
  var ipfunc;
  var pval=false;
  var preview_func=function() {
    ipfunc=edit_func; 
    ipdiv.removeChild(i);
    pval=gin_up_wiki_div(i.value,'Jsshell',shell); 
    ipdiv.appendChild(pval);
    whack_func=edit_func;
    p.value='edit';
  };
  var edit_func=function() {
    if(pval) {
      ipdiv.removeChild(pval);
    } 
    ipdiv.appendChild(i);
    pval=false;
    whack_func=preview_func;
    p.value='preview';
  };
  var whack_func=preview_func;
  p.addEventListener('click',function(e) {
    if(whack_func) {
      whack_func();
    }
  },false);

  c=mkbutton('cancel',function() { 
    finalize();
  });
  
  var mode='small';
  var oldparent=false;
  var oldwidth=false;
  var oldheight=false;

  mkbutton('modal',function() {
    if(mode=='small') {
      oldwidth=i.clientWidth;
      oldwidth=i.clientHeight;
      i.style.width='100%';
      i.style.height='80%';
      mode='big';
      if(i.parentNode && i.parentNode == ipsubdiv ) {
        i.parentNode.removeChild(i);
        i.addEventListener('click',function(e) { e.stopPropagation(); },false);
        with_fullscreen_div(function(d) {
          d.appendChild(i);
        });
      }
    } else if(mode=='big') {
      if(oldwidth) {
        i.style.width=oldwidth+'px';
      }
      if(oldwidth) {
        i.style.height=oldheight+'px';
      }
      mode='small';
      if(!i.parentNode) {
        ipsubdiv.appendChild(i);
      }
    }
  });

  return widget.div;
}

jsshell_wiki_articles=Array();

jspref_wikis=Array();
jsprefs.mkpref('default_wiki',
       'Wiki namespace used for unqualified wiki links',
       'Jsshell',
       'string',
       function(v) {
         if(jspref_wikis[v]) {
           return true;
         } else {
           return false;
         }
       });

/* construct a wiki object */
function make_wiki(make_anchor,get_article,put_article,search,index,home) {
  var w=new Object;
  w.make_anchor=make_anchor;
  w.get_article=get_article;
  w.put_article=put_article;
  w.search=search;
  w.index=index;
  w.home=home;
  return w;
}

function make_wiki_ns(namespace,make_anchor,get_article,put_article,search,index,home) {
  var ma;
  if(!make_anchor) {
    ma=function(v,d,ns,shell,article) {
      var a=d.createElement('a');

      dump_child_nodes(v,d,namespace,shell,function(e) {
        a.appendChild(e);
      });

      a.className='iwta_internal_anchor';
      a.onclick=function(e) {
        shell.string_evaluator("!domwiki.get_article(shell,'" + namespace + "','" + article + "');",shell,shell.jsprefs.getpref('wikis_echo'));
      }
      return a;
    };
  } else {
    ma=make_anchor;
  }

  jspref_wikis[namespace]=make_wiki(ma,get_article,put_article,search,index,home);

};

var wikify_index=function(cont) {
  jspref_wikis['Jsshell'].index(function(i) {
    var x,a;
    a="";
    for(x=0;x<i.length;x++) {
      a+="* [[" + i[x] + "]]\n";
    }
    
    cont(a);
  });
}

make_wiki_ns('Jsshell',
  false,
  function(article,shell,cont) {
    if(article == 'index') {
      wikify_index(cont);
    } else {
      if(jsshell_wiki_articles[article]) {
        cont(jsshell_wiki_articles[article]);
      } else {
        prefetch_wiki_article(article,function() {
          cont(jsshell_wiki_articles[article]);
        },function() { alert('failure'); });
      }
    }
  },
  function(article,text,shell) {
    jsshell_wiki_articles[article]=text;
    if(window.XMLHttpRequest) {
      var req=new XMLHttpRequest();

      if(!req.DONE) {
        req.DONE=4;
      }
      req.open("PUT","./wiki/" + article + ".wiki",true);
      req.withCredentials = "true";
      req.onreadystatechange = function(e) {
        if(req.readyState == req.DONE && req.status != 200) {
          if(req.status==0 && req.responseText) {
            if(!concluded) {
              concluded=true;
              if(success) {
                success(req.responseText);
              }
            }
          } else {
            if(!concluded) {
              concluded=true;
              if(failure) failure();
            }
          }
        }
        if((req.readyState == req.DONE) && (req.status == 200) && req.responseText) {
            if(!concluded) {
              concluded=true;
              if(success) {
                success(req.responseText);
              }
            }
        } else {
          if((req.readyState == req.DONE) && (req.status == 404)) {
            if(!concluded) {
              concluded=true;
              if(failure) failure();
            }
          }
        }
      }
      req.send(text);
    }
  },
  function(querystring,continuation) {
    var captured=false;
    var results,article,exp;
    results=new Array;
    fetch_wiki_index(function(index) {
      var helper=function(i,next) {
        try {
          var l;
          exp=new RegExp(querystring);
          for(l=i;l<index.length;l++) {
            var name=index[l];
            if(exp.exec('' + name)) {
              results.push(name);
            } else if(jsshell_wiki_articles[name]) {
              if(exp.exec(jsshell_wiki_articles[name])) {
                results.push(name);
              } 
            } else {
              (function(l) {
                var myname=index[l];
                captured=true;
                prefetch_wiki_article(myname,function() {
                  if(exp.exec(jsshell_wiki_articles[myname])) {
                    results.push(myname);
                    helper(l+1,next);
                  } else {
                    helper(l+1,next);
                  }
                },function() {
                  /* error prefetching this article */
                  helper(l+1,next);
                });
              })(l);
              break;
            }
          }
        } catch (e) {
          alert('error searching javascript');
        }
        if(!captured || l==index.length) {
          next(results);
        }
      };
      helper(0,continuation);
    },function() {
      continuation(results);
    });
  },
  function(continuation) {
    var results,article;
    results = new Array;
    try {
      for(article in jsshell_wiki_articles) {
        results.push(article);
      }
    } catch (e) {
      alert('error indexing javascript');
    }
    fetch_wiki_index(function(r) {
      continuation(r);
    },function(r) {
      alert('failure');
      continuation(results);
    });
  },
  'default'
);

/*
 *  Construct a wiki object for a type of wiki namespace that is reached with an URL.
 *  These namespaces typically only support anchors, not transclusions.
 */
function make_url_wiki_ns(namespace,urlgen) {
  return make_wiki_ns(namespace,function(v,d,n,s,article) {
    var u=urlgen(article);
    return make_url_anchor(v,d,n,s,urlgen(article));
  },false,false,false,false);
};

/* An unsurprising namespace */
make_url_wiki_ns('Wikipedia',function(article) {
  return 'http://en.wikipedia.org/w/index.php' + '?title=' + article;
});
/* Another conventional namespace */
make_url_wiki_ns('ISBN',function(isbn) {
  var canonical_isbn=isbn.replace(/-/,'');
  return 'http://www.amazon.com/dp/' + canonical_isbn;
});
/* An unconventional, but well defined namespace */
make_url_wiki_ns('RFC',function(rfcno) {
  return "http://www.ietf.org/rfc/rfc" + rfcno + ".txt";
});
/* This is just an example of a specialized namespace */
make_url_wiki_ns('NUREG',function(nuregno) {
  return 'http://www.nrc.gov/reading-rm/doc-collections/nuregs/staff/sr'+nuregno;
});

