
function transitions_widget(shell) {

  var colorific=document.createElement('div');

  colorific.style['width']='100px'; 
  colorific.style['height']='100px'; 
  colorific.style['background-color']='green';

  colorific.style['-webkit-transition-duration']='2s';
  colorific.style['-webkit-transition-timing-function']='ease-in-out';
  colorific.style['-webkit-transition-property']='background-color,width,height,font-size,-webkit-transform';

  var effect_pairs=[
    [
      "background",
      function(e) {
        colorific.style['background-color']='blue';
      },
      function(e) {
        colorific.style['background-color']='green';
      }
    ],
    [
      "size",
      function(e) {
        colorific.style['width']='50px';
        colorific.style['height']='50px';
      },
      function(e) {
        colorific.style['width']='100px';
        colorific.style['height']='100px';
      }
    ],
    [ // this is not a smooth effect
      "font",
      function(e) {
        colorific.style['font-size']='2px';
      },
      function(e) {
        colorific.style['font-size']='12px';
      }
    ],
    [ // this is smooth
      "rotate",
      function(e) {
        colorific.style['-webkit-transform']='rotate(180deg)';
      },
      function(e) {
        colorific.style['-webkit-transform']='rotate(0deg)';
      }
    ],
    [
      "rotate about X",
      function(e) {
        colorific.style['-webkit-transform']='rotateX(360deg)';
      },
      function(e) {
        colorific.style['-webkit-transform']='rotateX(0deg)';
      }
    ]
  ];

  var next=Math.floor(Math.random()*effect_pairs.length);

  var colorific_installer = function(index) {
    colorific.appendChild(document.createTextNode(index + ' '));
    i=effect_pairs[index][1];
    j=effect_pairs[index][2];
  }

  colorific_installer(next);

  colorific.appendChild(document.createTextNode('text'));
  colorific.addEventListener('mousedown',function(e) {
    i(e);
  },false);
  colorific.addEventListener('mouseup',function(e) {
    j(e);
    next=Math.floor(Math.random()*effect_pairs.length);
    colorific_installer(next);
  },false); 

  colorific.addEventListener('touchstart',function(e) {
    i(e);
  },false);
  colorific.addEventListener('touchend',function(e) {
    j(e);
    next=Math.floor(Math.random()*effect_pairs.length);
    colorific_installer(next);
  },false); 

  var d=document.createElement('div');
  d.style['width']='100px'; 
  d.style['height']='100px'; 
  d.appendChild(colorific); 

  var index;
  for(index=0;index<effect_pairs.length;index++) {
    (function(index) {
      var a=document.createElement('div');
      var t=document.createTextNode(effect_pairs[index][0]);
      a.addEventListener('click',function(e) { 
        colorific_installer(index);
      },false);
      a.appendChild(t);
      d.appendChild(a);
    })(index);

  } 

  return libreplete.paint(d);

};
